## lcms 1.17.dfsg-1maemo1

=== debian/changelog ===
lcms (1.17.dfsg-1maemo1) intrepid; urgency=low

  * Removed python support.

 -- Jonas Hurrelmann <j@outpo.st>  Mon, 18 Aug 2008 22:43:24 +0200

lcms (1.17.dfsg-1) unstable; urgency=low

  * Removed Adobe sRGB profiles from the testdbed and python/testbed
    directories (Closes: #491995).

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 24 Jul 2008 14:29:36 -0600

lcms (1.17-2) unstable; urgency=medium

  * debian/rules: Added a rule to regenerate lcms_wrap.cxx with swig to
    prevent FTBFS on 64-bit arches.
  * debian/control: Added a build-depends on swig.

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 21 Jul 2008 13:07:24 -0600

lcms (1.17-1) unstable; urgency=low

  * New upstream maintenance release (Closes: #490412).
  * debian/control: Updated Standards-Version to 3.8.0.

 -- Oleksandr Moskalenko <malex@debian.org>  Sat, 12 Jul 2008 13:05:36 -0600

lcms (1.16-10) unstable; urgency=high

  * debian/tmp/usr/lib/*.so usr/lib/ got lost from liblcms1-dev.install at
    some point of making 1.16-9. Add it back (Closes: #477035).

 -- Oleksandr Moskalenko <malex@debian.org>  Sun, 20 Apr 2008 12:31:46 -0600

lcms (1.16-9) unstable; urgency=high

  [Oleksandr Moskalenko <malex@debian.org>]
  * debian/changelog: Used urgency=high due to python2.5 transition.
  * debian/control:
    - Removed Shiju p. Nair from maintainers.
    - Removed XS- prefix from  Vcs-Svn and Vcs-Browser.
    - Updated Standards-Version to 3.7.3.
    - Changed deprecated ${Source-Version} substvar to ${source:Version} per
      lintian warning.
    - Added Depends on ${shlibs:Depends} for liblcms1-dev and python-liblcms
      per lintian error.
    - Changed python-liblcms section from "graphics" to "python" per lintian
      warning.
    - Changed source:Version to binary:Version for liblcms1-dev and
      python-liblcms to make the package safely binnmuable.
    - Changed description of python-liblcms per lintian spelling warning.
  * debian/man/*: fixed the .p tag in all affected files to .TP tag per
    lintian warnings.
  * Removed NEWS.Debian and its entry from liblcms1.docs (Closes: #459284).
  * Removed README.Debian as we don't put anything into __init__py now.
  * Regenerated swig files by running python/swig_lcms (Closes: #475919).
  [Thomas Viehmann <tv@beamnet.de>]
  * Used the tmp directory instead of ${package} for package building i.e
    debian/liblcms1.install should use the new path (Closes: #476331).
  * Removed debian/liblcms1-dev.install so as to not install python
    version-specific .a/.la files into /usr/lib. (Closes: #476329).
  * Modified debian/rules, debian/python-liblcms.dirs,
    debian/python-liblcms.install to cleanly build and install python-liblcms
    for all python versions (Closes: #476330). Also emptied
    debian/__init__.py.

 -- Oleksandr Moskalenko <malex@debian.org>  Wed, 16 Apr 2008 12:52:55 -0600

lcms (1.16-8) unstable; urgency=low

  * debian/__init__.py: Import lcms module into the current namespace to allow
    for "import lcms" instead of "from lcms import lcms".
  * debian/NEWS.Debian and debian/README.Debian: Add a note about the above
    change.

 -- Oleksandr Moskalenko <malex@debian.org>  Fri, 04 Jan 2008 16:36:46 -0700

lcms (1.16-7) unstable; urgency=low

  * debian/rules: Updated python version detection to use "pyversions -d"
    (Closes: #436541).
  * python: Ran swig_lcms to regenerate swig interface files (Closes: #436540).

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 15 Nov 2007 12:20:01 -0700

lcms (1.16-6) unstable; urgency=low

  * Trigger a new build on mipsel to try getting liblcms1 into testing.

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 12 Jul 2007 17:40:40 -0600

lcms (1.16-5) unstable; urgency=low

  * Upload into unstable since it's through the NEW queue.
  * debian/control: Added XS-Vcs-Svn and XS-Vcs-Browser headers.

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 07 May 2007 16:10:00 -0600

lcms (1.16-4) experimental; urgency=low

  * Second attempt to get the python-liblcms through NEW with an experimental
    package.

 -- Oleksandr Moskalenko <malex@debian.org>  Fri, 13 Apr 2007 11:07:54 -0600

lcms (1.16-3) unstable; urgency=low

  * Revert liblcms1-dev file location from /usr/include/liblcms1 to
    /usr/include before people start complaining about FTBFS bugs in other
    packages. Temporarily remove python-liblcms to avoid NEW queue.

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 12 Apr 2007 16:48:49 -0600

lcms (1.16-2) experimental; urgency=low

  * Upload to experimental as the python extension support I added could be
    buggy.
  * debian/compat: Bumped compatibility level up to 5.
  * debian/control: Bumped debhelper dependency to 5.0.38.
  * Package python bindings as python-liblcms (Closes: #293433, #313221).
    - debian/control:
      + Add a section for python-liblcms.
      + Add build-depends on python-all-dev (>= 2.3.5-11) and
        python-support (>= 0.5.3).
      + Add depends on ${python:Depends} and dpatch.
    - debian/rules:
      + Add "--with-python" key to make for building extensions.
      + Add rules to move extensions files from liblcms1-dev tree to
        liblcms-python.
      + Add a dh_pysupport call.
    - Added python-liblcms.dirs.
    - Added python-liblcms.install.

 -- Oleksandr Moskalenko <malex@debian.org>  Wed, 11 Apr 2007 13:31:39 -0600

lcms (1.16-1) unstable; urgency=low

  * New upstream release (Closes: #418454).
  * debian/shlibs: Bump shlibs to current version (Closes: #418453).
  * Updated libtool scripts (Closes: #342689).
  * debian/control:
    - Add myself to uploaders per advice from Tony Mancill
      <tmancill@debian.org> as Shiju could be MIA.
    - Update Standards-Version to 3.7.2.
  * Rename docs to liblcms1.docs and move API docs and tutorial to
    liblcms1-dev.docs (Closes: #313220).
  * debian/copyright: Updated the copyright file.
  * debian/compat: Set the compatibility level to 4 in this file.

