=== debian/control ===
Source: lcms
Section: libs
Priority: optional
Maintainer: Oleksandr Moskalenko <malex@debian.org>
Build-Depends: debhelper (>> 5.0.38), libtiff4-dev, libjpeg62-dev, zlib1g-dev, dpatch
Standards-Version: 3.8.0
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/lcms/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/lcms/trunk/?op=log

Package: liblcms1
Architecture: any
Section: libs
Replaces: liblcms
Provides: liblcms
Conflicts: liblcms
Suggests: liblcms-utils
Depends: ${shlibs:Depends}
Description: Color management library
 lcms is a standalone CMM engine, which deals with the color management.
 It implements a fast transformation between ICC profiles. The intention
 of it is to be portable across several platforms.

Package: liblcms-utils
Architecture: any
Section: utils
Depends: ${shlibs:Depends}
Description: Color management library (Additional utilities)
 lcms is a standalone CMM engine, which deals with the color management.
 It implements a fast transformation between ICC profiles. The intention
 of it is to be portable across several platforms. This package contains
 additional utilities(jpegicc and tifficc) which comes with lcms.

Package: liblcms1-dev
Architecture: any
Section: libdevel
Replaces: liblcms-dev
Provides: liblcms-dev
Conflicts: liblcms-dev
Depends: liblcms1 (= ${binary:Version})
Description: Color management library (Development headers)
 Development headers for Little CMS color management library.
 lcms is a standalone CMM engine, which deals with the color management.
 It implements a fast transformation between ICC profiles. The intention
 of it is to be portable across several platforms.
