## lcms 1.19.dfsg

=== debian/changelog ===
lcms (1.19.dfsg-1.2~1ubuntu16.10.0+2) yakkety; urgency=low

  * Change debhelper compatibility level to 7

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 13 Aug 2016 18:53:28 +0200

lcms (1.19.dfsg-1.2~1ubuntu16.10.0+1~a) yakkety; urgency=low

  * debian/rules: update config.{guess,sub} at build time

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 13 Jan 2015 22:02:12 +0100

lcms (1.19.dfsg-1.2~0ubuntu15.04.0+1~a) vivid; urgency=low

  * Jessie rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 27 Nov 2014 20:29:00 -0600

lcms (1.19.dfsg-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "static library in /usr/share": 
    debian/rules: re-enable removal of .a and .la files from the
    python-liblcms packages (they get installed to dist-packages instead of
    site-packages now).
    (Closes: #684019)
  * Fix "Please enabled hardened build flags":
    debian/rules: apply updated patch from Moritz Muehlenhoff: use
    dpkg-buildflags to get all *FLAGS.
    (Release goal, closes: #654821)
  * debian/liblcms1-dev.install: don't install not-dependend-on .la file
    anymore.
    (Release goal)

 -- gregor herrmann <gregoa@debian.org>  Sun, 26 Aug 2012 16:37:14 +0200

lcms (1.19.dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply Multi-Arch patch.  Closes: #637732.

 -- Mark Hymers <mhy@debian.org>  Sun, 13 May 2012 17:05:05 +0000

lcms (1.19.dfsg-1) unstable; urgency=low

  * Upstream legacy update to 1.19 (Closes: #593314).
  * debian/rules:
    - Updated the binary package descriptions (Closes: #608007).
    - Switched rules from py_support to py_support2.
    - Removed patching rules.
  * debian/control:
    - Change build-depends on libjpeg62-dev to libjpeg-dev (Closes: #634136).
    - Removed deprecated python-support package from build depends.;
    - Updated standards version to 3.9.2.
    - Removed a depends on dpatch.

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 18 Jul 2011 17:26:55 -0500

lcms (1.18.dfsg-1.2) unstable; urgency=low

  * Non-maintainer upload
  * Fix silly copy&paste error (Really Closes: #560993)

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 06 Jan 2010 22:06:15 +0100

lcms (1.18.dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload
  * Fix CVE-2009-0793 (Closes: #530785)
  * Fix detection of sparc64, patch by Aurelien Jarno (Closes: #560993)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 26 Dec 2009 16:46:23 +0100

lcms (1.18.dfsg-1) unstable; urgency=low

  * New upstream release. It includes correct fixes for the security problems
    fixed in 1.17.dfsg-2.

 -- Oleksandr Moskalenko <malex@debian.org>  Fri, 03 Apr 2009 08:50:38 -0600

lcms (1.17.dfsg-2) unstable; urgency=low

  [Steffen Joeris <white@debian.org>]
  * Include upstream fixes for integer overflows, possible memory leaks and a
    buffer overflow. Fixes: CVE-2009-0723 CVE-2009-0581 CVE-2009-0733.

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 12 Mar 2009 10:38:30 -0600
