=== debian/control ===
Source: lcms
Section: libs
Priority: optional
Maintainer: Oleksandr Moskalenko <malex@debian.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libtiff5-dev, libjpeg-dev, zlib1g-dev, python-all-dev (>= 2.3.5-11), swig
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/lcms/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/lcms/trunk/?op=log

Package: liblcms1
Architecture: any
Multi-Arch: same
Section: libs
Replaces: liblcms
Provides: liblcms
Conflicts: liblcms
Suggests: liblcms-utils
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}
Description: Little CMS color management library
 lcms is a standalone CMM engine, which deals with the color management.
 LittleCMS implements a fast transformation between ICC profiles. The
 intention of it is to be portable across several platforms.

Package: liblcms-utils
Architecture: any
Section: utils
Depends: ${shlibs:Depends}
Description: Little CMS color management library utilities
 lcms is a standalone CMM engine, which deals with the color management.
 LittleCMS implements a fast transformation between ICC profiles. The
 intention of it is to be portable across several platforms. This package
 contains additional utilities(jpegicc and tifficc) which comes with lcms.

Package: liblcms1-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Replaces: liblcms-dev
Provides: liblcms-dev
Conflicts: liblcms-dev
Depends: liblcms1 (= ${binary:Version})
Description: Litle CMS color management library development headers
 Development headers for Little CMS color management library.
 lcms is a standalone CMM engine, which deals with the color management.
 LittleCMS implements a fast transformation between ICC profiles. The
 intention of it is to be portable across several platforms.

Package: python-liblcms
Priority: optional
Section: python
Architecture: any
Depends: liblcms1 (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends}
Description: Python bindings for Little CMS color management library
 LittleCMS color management library Python bindings have been produced
 with SWIG and allow access to liblcms1 functions from Python code.
