=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 # GNU copyright 1997 to 1999 by Joey Hess.
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 ARCH = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 ifeq ($(ARCH),alpha)
@@ -13,15 +15,7 @@
 
 PYVER=`pyversions -d`
 
-patch-stamp:
-	dpatch apply-all
-	touch patch-stamp
-
-unpatch:
-	dpatch deapply-all
-	rm -rf patch-stamp debian/patched
-
-build: patch-stamp build-stamp
+build: build-stamp
 build-stamp:
 	dh_testdir
 ifeq ($(ARCH),alpha)
@@ -33,17 +27,32 @@
 ifeq ($(ARCH),sparc)
 	echo "#define USE_BIG_ENDIAN" >include/lcms-endian.h
 endif
+ifeq ($(ARCH),sparc64)
+	echo "#define USE_BIG_ENDIAN" >include/lcms-endian.h
+endif
 ifeq ($(ARCH),powerpc)
 	echo "#define USE_BIG_ENDIAN" >include/lcms-endian.h
 endif
-	CFLAGS=$(CFLAGS) ./configure --prefix=/usr --without-python
-	make CFLAGS=$(CFLAGS)
+ifneq "$(wildcard /usr/share/misc/config.sub)" ""
+	cp -f /usr/share/misc/config.sub config.sub
+endif
+ifneq "$(wildcard /usr/share/misc/config.guess)" ""
+	cp -f /usr/share/misc/config.guess config.guess
+endif
+	./configure $(shell dpkg-buildflags --export=configure) --prefix=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) --with-python
+	cd python && ./swig_lcms && cd ..
+	make
 	touch build-stamp
 
-clean: clean-patched unpatch
-clean-patched:
+clean: 
 	dh_testdir
 	rm -f build-stamp configure-stamp
+ifneq "$(wildcard /usr/share/misc/config.sub)" ""
+	rm -f config.sub
+endif
+ifneq "$(wildcard /usr/share/misc/config.guess)" ""
+	rm -f config.guess
+endif
 	[ ! -f Makefile ] || $(MAKE) distclean
 	echo "#undef USE_BIG_ENDIAN" >include/lcms-endian.h
 	rm -f include/lcms-endian.h
@@ -55,6 +64,8 @@
 	dh_clean -k
 	dh_installdirs
 	make DESTDIR=`pwd`/debian/tmp install
+	rm -f `pwd`/debian/tmp/usr/lib/python*/*-packages/*.a \
+	`pwd`/debian/tmp/usr/lib/python*/*-packages/*.la
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -73,6 +84,7 @@
 	dh_fixperms
 	dh_makeshlibs -V
 	dh_perl
+	dh_python2 --no-guessing-versions
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
