## lcms 1.19.dfsg2

=== debian/changelog ===
lcms (1.19.dfsg2-1.6~0ubuntu21.10.0+2) impish; urgency=medium

  * Add dh-python to build-deps.

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 09 Sep 2020 17:12:48 +0200

lcms (1.19.dfsg2-1.6~0ubuntu20.10.0+1~a) groovy; urgency=medium

  * Change debhelper compatibility level to 9

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 07 Apr 2020 12:45:56 +0200

lcms (1.19.dfsg2-1.5ubuntu20.04.0+0~a) focal; urgency=medium

  * Remove lcms-dev from Provides, Replaces and Conflics
    + this allows to install lcms1-dev alongside lcms2-dev
  * Change debhelper compatibility level to 7
  * Pick patches to quilt format

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 01 Aug 2018 01:48:58 +0200

lcms (1.19.dfsg2-1.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove non-free file python/testbed/AdobeRGB1998.icc from source tarball
    (Closes: #753759). Also remove testbed/sRGBSpac.icm
  * Really add watchfile (Closes: #742749)

 -- Tobias Frost <tobi@debian.org>  Sun, 03 Aug 2014 18:40:37 +0000

lcms (1.19.dfsg1-1.4) unstable; urgency=medium

  * Non maintainer upload
  * Same as 1.19.dfsg1-1.3+autotool upload to debian-ports unreleased
  * Use dh_autoreconf to fix build on newer ports. (Closes: 543464)
    (thanks to Fernando Seiti Furusato)
  * Modify lcms.h to not assume powerpc is big endian and hence support
    ppc64el (thanks to Fernando Seiti Furusato)
  * Use DEB_BUILD_ARCH_ENDIAN rather than incomplete hardcoded list of big
    endian architectures in debian/rules.
    (though i'm not convinced the code in question actually does anything
    useful anyway).
  * Add watchfile from Tobaias Frost. (Closes: 742749)
  * Avoid build depending on transitional package libtiff4-dev.
  * Link icctrans with -lm to Fix link failure on amd64.

 -- Peter Michael Green <plugwash@debian.org>  Wed, 21 May 2014 11:58:48 +0000

lcms (1.19.dfsg1-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply fix from OpenSuse for CVE-2013-4276 (Closes: #718682)
  * Repack orig-source to remove non-dfsg free color profiles. This is
    necessary as the resulting lintian error
    license-problem-md5sum-non-free-file would lead to an autoreject
    (Closes: #736806).
  * Fix CVE-2013-4160 by backporting the fix from lcms-2 (Closes: #728208)

 -- Tobias Frost <tobi@coldtobi.de>  Thu, 27 Mar 2014 12:20:24 +0100
