=== debian/rules ===
--- 
+++ 
@@ -15,29 +15,14 @@
 
 PYVER=`pyversions -d`
 
+ENDIAN = $(shell dpkg-architecture -qDEB_BUILD_ARCH_ENDIAN)
+
 build: build-stamp
 build-stamp:
 	dh_testdir
-ifeq ($(ARCH),alpha)
+	dh_autoreconf
+ifeq ($(ENDIAN),)
 	echo "#define USE_BIG_ENDIAN" >include/lcms-endian.h
-endif
-ifeq ($(ARCH),hppa)
-	echo "#define USE_BIG_ENDIAN" >include/lcms-endian.h
-endif
-ifeq ($(ARCH),sparc)
-	echo "#define USE_BIG_ENDIAN" >include/lcms-endian.h
-endif
-ifeq ($(ARCH),sparc64)
-	echo "#define USE_BIG_ENDIAN" >include/lcms-endian.h
-endif
-ifeq ($(ARCH),powerpc)
-	echo "#define USE_BIG_ENDIAN" >include/lcms-endian.h
-endif
-ifneq "$(wildcard /usr/share/misc/config.sub)" ""
-	cp -f /usr/share/misc/config.sub config.sub
-endif
-ifneq "$(wildcard /usr/share/misc/config.guess)" ""
-	cp -f /usr/share/misc/config.guess config.guess
 endif
 	./configure $(shell dpkg-buildflags --export=configure) --prefix=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) --with-python
 	cd python && ./swig_lcms && cd ..
@@ -47,15 +32,10 @@
 clean: 
 	dh_testdir
 	rm -f build-stamp configure-stamp
-ifneq "$(wildcard /usr/share/misc/config.sub)" ""
-	rm -f config.sub
-endif
-ifneq "$(wildcard /usr/share/misc/config.guess)" ""
-	rm -f config.guess
-endif
 	[ ! -f Makefile ] || $(MAKE) distclean
 	echo "#undef USE_BIG_ENDIAN" >include/lcms-endian.h
 	rm -f include/lcms-endian.h
+	dh_autoreconf_clean
 	dh_clean
 
 install: build
