=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg.$// \
http://qa.debian.org/watch/sf.php/lcms/lcms-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
